from pubsub import Publisher
import levels, menu, gamestate

class PlayState(gamestate.GameState):
    def __init__(self, window):
        gamestate.GameState.__init__(self)
        self.Window = window
        
        self.Subscriptions = (
            (self.onLevelEnded, "level.ended"),
        )
        self.subscribe()
        
    def onLevelEnded(self, message):
        level = message.data
        print "Won?", level.isWon()
        level.clear()
        self.Levels.Next()
        
    def start(self):
        self.menu = menu.Menu(self.Window)
        self.Levels = levels.LevelList(self.Window)
        self.Levels.Next()
        
    def tick(self, dt):
        self.Levels.tick(dt)
        self.menu.tick(dt)
        
    def draw(self):
        self.Levels.draw(self)
        self.menu.draw()